/*
 *  GS_PowerPlantPrefix.h
 *  PostXcode
 *
 *  Created by Lyndsey Ferguson on 6/23/05.
 *  Copyright 2005 Nemetschek North America, Inc.. All rights reserved.
 *
 */
/*
 *  PP_Xcode.h
 *
 *  Created on Wed Jan 29 2003.
 *  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
 *
 */
#define _STD std
#define _CSTD std
#ifndef __dest_os
	#define __dest_os  __mac_os			// Metrowerks Standard Library
#endif
#define PP_Target_Carbon 1
#define PP_Target_Classic (!PP_Target_Carbon)

#ifndef TARGET_API_MAC_CARBON
	#define TARGET_API_MAC_CARBON PP_Target_Carbon
#endif

#ifndef TARGET_API_MAC_OS8
	#define TARGET_API_MAC_OS8 PP_Target_Classic
#endif

#ifndef TARGET_API_MAC_OSX
	#define TARGET_API_MAC_OSX PP_Target_Carbon
#endif

// ------------------------------------------------------------------
//  Options
#define PP_Uses_PowerPlant_Namespace NNA_USE_POWERPLANT
#define PP_Supports_Pascal_Strings 1
#define PP_StdDialogs_Option PP_StdDialogs_NavServicesOnly
#define PP_Uses_Old_Integer_Types 0
#define PP_Obsolete_AllowTargetSwitch 0
#define PP_Obsolete_ThrowExceptionCode 0
#define PP_Warn_Obsolete_Classes 1
#define PP_Suppress_Notes_2 211
//
// Carbon headers
#include <Carbon/Carbon.h>
#include <QuickTime/QuickTime.h>
//
// PowerPlantheaders
    // Action Classes

#if NNA_USE_POWERPLANT
	#include <LAction.h>
	#include <LUndoer.h>
	#include <UTETextAction.h>
	#include <UTEViewTextAction.h>
		// AppleEvent Classes
	#include <LModelDirector.h>
	#include <LModelObject.h>
	#include <LModelProperty.h>
	#include <UAppleEventsMgr.h>
	#include <UExtractFromAEDesc.h>
		// Array Classes
	#include <LArray.h>
	#include <LArrayIterator.h>
	#include <LComparator.h>
	#include <LRunArray.h>
	#include <LVariableArray.h>
	#include <TArrayPowerPlant.h>
	#include <TArrayIterator.h>
		// Commander Classes
	#include <LApplication.h>
	#include <LCommander.h>
		// Feature Classes
	#include <LAttachable.h>
	#include <LAttachment.h>
	#include <LBroadcaster.h>
	#include <LDragAndDrop.h>
	#include <LDragTask.h>
	#include <LEventDispatcher.h>
	#include <LListener.h>
	#include <LPeriodical.h>
	#include <LSharable.h>
		// File & Stream Classes
	#include <LDataStream.h>
	#include <LFile.h>
	#include <LFileStream.h>
	#include <LHandleStream.h>
	#include <LStream.h>
		// Pane Classes
	#include <LButton.h>
	#include <LCaption.h>
	#include <LCicnButton.h>
	#include <LControl.h>
	#include <LDialogBox.h>
	#include <LEditField.h>
	#include <LFocusBox.h>
	#include <LGrafPortView.h>
	#include <LListBox.h>
	#include <LOffscreenView.h>
	#include <LPane.h>
	#include <LPicture.h>
	#include <LPlaceHolder.h>
	#include <LRadioGroupView.h>
	#include <LScroller.h>
	#include <LStdControl.h>
	#include <LTabGroupView.h>
	#include <LTableView.h>
	#include <LTextEditView.h>
	#include <LView.h>
	#include <LWindow.h>
	#include <UGWorld.h>
	#include <UQuickTime.h>
		// PowerPlant Headers
	#include <PP_Constants.h>
	#include <PP_KeyCodes.h>
	#include <PP_Macros.h>
	#include <PP_Messages.h>
	#include <PP_Prefix.h>
	#include <PP_Resources.h>
	#include <PP_Types.h>
										// Support Classes
	#include <LClipboard.h>
	#include <LFileTypeList.h>
	#include <LGrowZone.h>
	#include <LMenu.h>
	#include <LMenuBar.h>
	#include <LRadioGroup.h>
	#include <LString.h>
	#include <LTabGroup.h>
	#include <UDesktop.h>
										// Utility Classes
	#include <UAttachments.h>
	#include <UCursor.h>
	#include <UDebugging.h>
	#include <UDrawingState.h>
	#include <UDrawingUtils.h>
	#include <UEnvironment.h>
	#include <UException.h>
	#include <UKeyFilters.h>
	#include <UMemoryMgr.h>
	#include <UModalDialogs.h>
	#include <UReanimator.h>
	#include <URegions.h>
	#include <URegistrar.h>
	#include <UScrap.h>
	#include <UScreenPort.h>
	#include <UTextEdit.h>
	#include <UTextTraits.h>
	#include <UWindows.h>
	
#if DEV_BLD
	// Debugging Classes
	#include <LDebugMenuAttachment.h>
#endif

#endif // NNA PowerPlant
