//
//  NNAString.h
//  VectorWorks
//
//  Created by Brian Williams on 10/23/08.
//  Copyright 2008 Nemetschek North America, Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GSString.X.h"

#ifndef __cplusplus
	#error This file should only be included by Objective-C++ source files.
#endif

class TXString;

@interface NSString (NNAStringCategory) 

+ (NSString *) stringWithTXString:(const TXString &)txs;
+ (NSString *) stringWithID:(short)stringResourceID					index:(short)index;
+ (NSString *) stringWithID:(short)stringResourceID					index:(short)index	assertsOnEmpty:(BOOL)assertsOnEmpty;
+ (NSString *) stringWithoutAmpersandWithID:(short)stringResourceID index:(short)index;
+ (NSString *) stringWithoutAmpersandWithID:(short)stringResourceID index:(short)index	assertsOnEmpty:(BOOL)assertsOnEmpty;

- (TXString)   txString;

@end
